import React from 'react'
import { useTranslation } from 'react-i18next'
import { useHistory } from 'react-router-dom'

import { Box, Button } from '@mui/material'

const GuestSuccessStep = () => {
  const { t } = useTranslation(['common'])
  const history = useHistory()

  return (
    <>
      <Box
        sx={{
          paddingTop: '1rem',
          paddingBottom: '1rem',
          typography: 'h3',
        }}
      >
        {t('thankYou')}
      </Box>

      <Box sx={{ marginTop: '2rem' }}>{t('guestSubmitSuccessDescription')}</Box>

      <Button
        color="secondary"
        sx={{
          marginTop: '2rem',
        }}
        onClick={() => {
          history.push('/')
        }}
      >
        {t('button.backToFrontPage')}
      </Button>
    </>
  )
}

export default GuestSuccessStep
