import { Route } from 'react-router-dom'

import FrontPage from 'routes/sponsor/frontpage'
import useGuests from 'hooks/useGuests'
import GuestRoutes from './guest'

function Sponsor() {
  const { guests, reloadGuests } = useGuests()

  return (
    <>
      <Route path="/sponsor/guest/:pid">
        <GuestRoutes reloadGuests={reloadGuests} />
      </Route>
      <Route exact path="/sponsor">
        <FrontPage guests={guests} />
      </Route>
    </>
  )
}

export default Sponsor
